package com.hellbreecher.arcanum.common.core;

import com.hellbreecher.arcanum.client.renderer.WeaponRendererRegister;
import com.hellbreecher.arcanum.common.lib.EnumMaterial;
import com.hellbreecher.arcanum.common.weapons.itemBasicBeatingStick;
import com.hellbreecher.arcanum.common.weapons.itemBloodDiamondSword;
import com.hellbreecher.arcanum.common.weapons.itemGreenSapphireSword;
import com.hellbreecher.arcanum.common.weapons.itemInfernalBeatingStick;
import com.hellbreecher.arcanum.common.weapons.itemInfernalSword;
import com.hellbreecher.arcanum.common.weapons.itemInfernaldDiamondSword;
import com.hellbreecher.arcanum.common.weapons.itemVoidDiamondSword;
import net.minecraft.item.Item;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.registries.IForgeRegistry;

/* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumWeapons.class */
public class ArcanumWeapons {
    public static Item.ToolMaterial GreenSapphire = EnumMaterial.GreenSapphireToolMaterial;
    public static Item.ToolMaterial BloodDiamond = EnumMaterial.BloodDiamondToolMaterial;
    public static Item.ToolMaterial VoidDiamond = EnumMaterial.VoidDiamondToolMaterial;
    public static Item.ToolMaterial InfernalDiamond = EnumMaterial.InfernalDiamondMaterial;
    public static Item.ToolMaterial BasicBeatingStick = EnumMaterial.BasicBeatingStick;
    public static Item.ToolMaterial InfernalBeatingStick = EnumMaterial.InfernalBeatingStick;
    public static Item.ToolMaterial Infernal = EnumMaterial.InfernalMaterial;

    @GameRegistry.ObjectHolder("arcanum:greensapphiresword")
    public static Item itemGreenSapphireSword = new itemGreenSapphireSword(GreenSapphire);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondsword")
    public static Item itemBloodDiamondSword = new itemBloodDiamondSword(BloodDiamond);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondsword")
    public static Item itemVoidDiamondSword = new itemVoidDiamondSword(VoidDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondsword")
    public static Item itemInfernalDiamondSword = new itemInfernaldDiamondSword(InfernalDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernalsword")
    public static Item itemInfernalSword = new itemInfernalSword(Infernal);

    @GameRegistry.ObjectHolder("arcanum:basicbeatingstick")
    public static Item itemBasicBeatingStick = new itemBasicBeatingStick(BasicBeatingStick);

    @GameRegistry.ObjectHolder("arcanum:infernalbeatingstick")
    public static Item itemInfernalBeatingStick = new itemInfernalBeatingStick(InfernalBeatingStick);

    @Mod.EventBusSubscriber(modid = "arcanum")
    /* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumWeapons$Registration.class */
    public static class Registration {
        @SubscribeEvent
        public static void registerItems(RegistryEvent.Register<Item> event) {
            IForgeRegistry<Item> weaponRegistry = event.getRegistry();
            weaponRegistry.register(ArcanumWeapons.itemGreenSapphireSword);
            weaponRegistry.register(ArcanumWeapons.itemBloodDiamondSword);
            weaponRegistry.register(ArcanumWeapons.itemVoidDiamondSword);
            weaponRegistry.register(ArcanumWeapons.itemInfernalDiamondSword);
            weaponRegistry.register(ArcanumWeapons.itemInfernalSword);
            weaponRegistry.register(ArcanumWeapons.itemBasicBeatingStick);
            weaponRegistry.register(ArcanumWeapons.itemInfernalBeatingStick);
        }

        @SubscribeEvent
        public static void registerModels(ModelRegistryEvent event) {
            WeaponRendererRegister.registerWeaponRenderer();
        }
    }
}
